Get customers count
curl --request POST \
--url https://api.text.com/cdp/v1/get_customers_count \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "john",
"filters": [
{
"operator": "AND",
"clauses": [
{
"field": "country",
"operator": "is",
"values": [
"Poland"
]
}
]
}
]
}
'import requests
url = "https://api.text.com/cdp/v1/get_customers_count"
payload = {
"query": "john",
"filters": [
{
"operator": "AND",
"clauses": [
{
"field": "country",
"operator": "is",
"values": ["Poland"]
}
]
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'john',
filters: [
{
operator: 'AND',
clauses: [{field: 'country', operator: 'is', values: ['Poland']}]
}
]
})
};
fetch('https://api.text.com/cdp/v1/get_customers_count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1523
}Customers
Get customers count
Available for Text App only. Returns a count of customers matching the specified search criteria. The request body follows the same structure as list_customers, but sorting and pagination parameters are ignored.
POST
/
v1
/
get_customers_count
Get customers count
Required scopes:
customers:roAuthorizations
PersonalAccessTokenOAuth2BearerToken
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Body
application/json
Response
The count of customers matching the search criteria.
Example:
1523
Was this page helpful?
⌘I